aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xl2tpd/xl2tpd.initd
diff options
context:
space:
mode:
authorDanilo Godec <danilo.godec@agenda.si>2011-08-10 14:33:35 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2011-08-10 12:46:50 +0000
commit42f4081808f74b2a05472cc10db272b783e97180 (patch)
tree007feb0e336a3ae138d7dcf8c749d8ce0d1933a1 /testing/xl2tpd/xl2tpd.initd
parentc9cbb91fa817542d5d03c165dfa072dcc11bc6c8 (diff)
downloadaports-42f4081808f74b2a05472cc10db272b783e97180.tar.bz2
aports-42f4081808f74b2a05472cc10db272b783e97180.tar.xz
testing/xl2tpd
xl2tpd is a Layer 2 Tunnelling Protocol Daemon (RFC 2661)
Diffstat (limited to 'testing/xl2tpd/xl2tpd.initd')
-rw-r--r--testing/xl2tpd/xl2tpd.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/testing/xl2tpd/xl2tpd.initd b/testing/xl2tpd/xl2tpd.initd
new file mode 100644
index 0000000000..d56e1671e8
--- /dev/null
+++ b/testing/xl2tpd/xl2tpd.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting xl2tpd"
+ start-stop-daemon --start --quiet --exec /usr/sbin/xl2tpd -- ${XL2TPD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping xl2tpd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/xl2tpd.pid
+ result=$?
+ start-stop-daemon --stop --quiet --exec /usr/sbin/xl2tpd-control
+ result=$(( $result + $? ))
+ eend $result
+}